<script setup lang="ts">
import Flex from "@/components/atoms/container/Flex.vue";
</script>

<template>
  <div class="grow flex flex-col gap-4 2xl:grid 2xl:grid-cols-5 2xl:gap-y-4 2xl:gap-x-0">
    <slot name="left"/>
    <Flex class="flex-col gap-list grow items-center justify-start" :class="$slots.left ? 'col-span-3' : 'col-span-5'">
      <slot/>
    </Flex>
    <slot name="right"/>
  </div>
</template>